cdac.medinfo.model

## Class Alerts

- java.lang.Object
- - cdac.medinfo.model.Alerts

-     public class Alerts
      extends java.lang.Object

  This class specify Alerts Section Details. This section is used to list and describe any allergies, adverse reactions, and alerts that are pertinent to the patient's current or past medical history. At a minimum, currently active and any relevant historical allergies and adverse reactions should be listed.

  This class has the following attributes:

  1. substance (String)
  2. reaction (String)
  3. status (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Alerts()` Constructs an object of Alerts.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReaction()` Returns the Reaction.
    `java.lang.String` | `getStatus()` Returns the Status.
    `java.lang.String` | `getSubstance()` Returns the Substance Name.
    `void` | `setReaction(java.lang.String reaction)` Sets the Reaction.
    `void` | `setStatus(java.lang.String status)` Sets the Status.
    `void` | `setSubstance(java.lang.String substance)` Sets the Substance Name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Alerts

          public Alerts()

      Constructs an object of Alerts.

  - ### Method Detail

    - #### getSubstance

          public java.lang.String getSubstance()

      Returns the Substance Name.
      Returns:
        the substance

    - #### setSubstance

          public void setSubstance(java.lang.String substance)

      Sets the Substance Name.
      Parameters:
        `substance` - Specifies the name of Substance or agent that is the cause of the allergy or adverse reaction.

    - #### getReaction

          public java.lang.String getReaction()

      Returns the Reaction.
      Returns:
        the reaction

    - #### setReaction

          public void setReaction(java.lang.String reaction)

      Sets the Reaction.
      Parameters:
        `reaction` - Specifies an adverse event due to an administered or exposed substance.

    - #### getStatus

          public java.lang.String getStatus()

      Returns the Status.
      Returns:
        the status

    - #### setStatus

          public void setStatus(java.lang.String status)

      Sets the Status.
      Parameters:
        `status` - Specifies an alert status observation.